package com.persagy.server.service.base


import com.persagy.mybatis.SMybatisDao
import com.persagy.server.datacenter.models.entities.objects.Equipment
import com.persagy.server.models.ComponentCascade
import com.persagy.server.models.TenantCascade
import com.persagy.service.SObjectService

object BaseDataService {

    val equipmentService = SObjectService(SMybatisDao(Equipment::class.java))
    val conponentService = SObjectService(SMybatisDao(ComponentCascade::class.java))
    val tenantService = SObjectService(SMybatisDao(TenantCascade::class.java))
}